Subject: bug#39686: 25.2; Wrong behaviour of bibtex-autokey-name-change-strings

From: [email-masked]
Date: Fri, 21 Feb 2020 10:22:45 +0100

Hi Roland, thank you for looking into this.

> I suggest that the value of bibtex-autokey-transcriptions should be
> calculated by regexp-opt.  That makes the code more readable and it
> fixes this problem for free.
> 
> Can you confirm that the following works as it should?

Yes it does, at least for the specific problem I found with "\oe". Thank you very much!

Can you tell me where to insert this redefinition in my init file, while I wait for the next Emacs version? I tried adding it to my own bibtex-hook and to "eval-after-load 'bibtex ...", but it doesn't seem to have any effect in either. At the moment is called directly in the init file.

Cheers,
Luca